package com.ruoyi.web.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.domain.ReviewDetails;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;


@ApiModel
@TableName(value ="t_review_keypoint")
@Accessors(chain = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReviewKeyPointNew {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private String id;

    /**
     * 文本内容
     */
    @ApiModelProperty("文本内容")
    private String text;

    /**
     * 审查标准id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("审查标准id")
    private Long reviewStandardId;

    /**
     * 审查细则列表
     */
    @ApiModelProperty("审查细则列表")
    @TableField(exist = false)
    private List<ReviewDetails> reviewDetailsList;
}
